<?php namespace Core\Database;

class ColumnTypes
{
    protected static $TYPES = [
        'TaxID' => 'string',
        'TaxStateSHORT' => 'string',
        'TaxStateLONG' => 'string',
        'TaxCountry' => 'string',
        'LastModified' => 'string',
        'LastModBy' => 'int',
        'Tax1_Title' => 'string',
        'Tax2_Title' => 'string',
        'Tax3_Title' => 'string',
        'Tax1_Percent' => 'float',
        'Tax2_Percent' => 'float',
        'Tax3_Percent' => 'float',
        'TaxPostalCode' => 'string',
        'TaxDefault' => 'string',
        'IsVAT' => 'string',
        'Tax2_IncludePrevious' => 'int',
        'Tax3_IncludePrevious' => 'int',
        'Tax1_IgnoreNoTaxRules' => 'string',
        'Tax2_IgnoreNoTaxRules' => 'string',
        'Tax3_IgnoreNoTaxRules' => 'string',
        'ID' => 'int',
        'SQL' => 'string',
        'ParamName' => 'string',
        'ParamValue' => 'string',
        'XTendedCharsetID' => 'int',
        'Config_FullStoreURL' => 'string',
        'Config_CharacterSet' => 'string',
        'Config_StoreVersion' => 'string',
        'TableSchema' => 'string',
        'TableName' => 'string',
        'ColumnName' => 'string',
        'ColumnValue' => 'string',
        'XTendedCharASCII' => 'int',
        'ID_tbl_Export_Log' => 'int',
        'ID_tbl_Import_Export_Steps' => 'int',
        'ID_Log' => 'int',
        'ExportDateTime' => 'string',
        'ResetDate' => 'string',
        'ResetBy' => 'int',
        'MapID' => 'int',
        'FieldToLog' => 'string',
        'SQLBeginDateRange' => 'string',
        'SQLEndDateRange' => 'string',
        'XTendedChar' => 'string',
        'Total' => 'int',
        'Exec_Date' => 'string',
        'Exec_SQL' => 'string',
        'Text' => 'string',
        'Section_Name' => 'string',
        'HideTooltip' => 'string',
        'NumVariables' => 'int',
        'Description' => 'string',
        'Custom' => 'string',
        'FileType' => 'string',
        'HeaderBegin' => 'string',
        'HeaderEnd' => 'string',
        'Delimiter' => 'string',
        'SQLSelect' => 'string',
        'SQLFrom' => 'string',
        'SQLWhereFixed' => 'string',
        'SQLWhereDynamic' => 'string',
        'SQLWhereDateRange' => 'string',
        'SQLOrderBy_Old' => 'string',
        'ExportFileName' => 'string',
        'AddTimeStampToFileName' => 'int',
        'ID_tbl_Import_Exports' => 'int',
        'SQLWhere' => 'string',
        'SQLGroupBy' => 'string',
        'SQLHaving' => 'string',
        'Name' => 'string',
        'SortOrder' => 'int',
        'UseAdditionalFromClause' => 'int',
        'FTPLogin' => 'string',
        'FTPPassword' => 'string',
        'FTPUrl' => 'string',
        'SchemaFile' => 'string',
        'FileTargetLocation' => 'string',
        'XML_Header' => 'string',
        'Top_Level_Element' => 'string',
        'ID_tbl_Import_Export_Results' => 'int',
        'ID_tbl_Import_Export_Fields' => 'int',
        'Volusion_Field' => 'string',
        'Third_Party_Field' => 'string',
        'IncludeInExport' => 'int',
        'IsChildOf' => 'int',
        'ColumnOrder' => 'int',
        'SQLOrderBy' => 'int',
        'Format' => 'string',
        'Alias' => 'string',
        'FieldName' => 'string',
        'WhereOperator' => 'string',
        'WhereValue' => 'string',
        'HavingOperator' => 'string',
        'HavingValue' => 'string',
        'XMLFieldType' => 'string',
        'Include_XML_Tags' => 'int',
        'Place_Data_in_Quotes' => 'int',
        'ID_tbl_Import_Export_Steps_onchange_Write_End_Tag' => 'int',
        'DataType' => 'string',
        'ProductID' => 'int',
        'UPC_code' => 'string',
        'ProductCategory' => 'string',
        'ProductKeywords' => 'string',
        'ProductNameShort' => 'string',
        'ProductWeight' => 'float',
        'FreeShippingItem' => 'string',
        'MinQty' => 'int',
        'MaxQty' => 'int',
        'RecurringStartPrice' => 'float',
        'RecurringStartDuration' => 'int',
        'RecurringPrice' => 'float',
        'RecurringHowOften' => 'int',
        'RecurringDuration' => 'int',
        'AllowPriceEdit' => 'string',
        'ProductPrice' => 'float',
        'ListPrice' => 'float',
        'SalePrice' => 'float',
        'TaxableProduct' => 'string',
        'SelectedOptionIDs' => 'string',
        'GiftWrapCost' => 'float',
        'DownloadFile' => 'string',
        'Availability' => 'string',
        'METATAG_Title' => 'string',
        'METATAG_Description' => 'string',
        'DiscountedPrice_Level1' => 'float',
        'DiscountedPrice_Level2' => 'float',
        'DiscountedPrice_Level3' => 'float',
        'DiscountedPrice_Level4' => 'float',
        'DiscountedPrice_Level5' => 'float',
        'Photo_SubText' => 'string',
        'Photo_AltText' => 'string',
        'DiscountedRecurringPrice_Level1' => 'float',
        'DiscountedRecurringPrice_Level2' => 'float',
        'DiscountedRecurringPrice_Level3' => 'float',
        'DiscountedRecurringPrice_Level4' => 'float',
        'DiscountedRecurringPrice_Level5' => 'float',
        'Fixed_ShippingCost' => 'float',
        'Fixed_ShippingCost_Outside_LocalRegion' => 'float',
        'Uses_Product_KeyTypes' => 'string',
        'Price_SubText' => 'string',
        'Price_SubText_Short' => 'string',
        'ListPrice_Name' => 'string',
        'ProductPrice_Name' => 'string',
        'SalePrice_Name' => 'string',
        'Hide_YouSave' => 'string',
        'Hide_FreeAccessories' => 'string',
        'SetupCost' => 'float',
        'SetupCost_Name' => 'string',
        'DiscountedSetupCost_Level1' => 'float',
        'DiscountedSetupCost_Level2' => 'float',
        'DiscountedSetupCost_Level3' => 'float',
        'DiscountedSetupCost_Level4' => 'float',
        'DiscountedSetupCost_Level5' => 'float',
        'SetupCost_Title' => 'string',
        'StockReOrderQty' => 'int',
        'warehouses' => 'string',
        'Affiliate_Commissionable_Value' => 'float',
        'AddtoCartBtn_Replacement_Text' => 'string',
        'Book_ISBN' => 'string',
        'ProductCondition' => 'string',
        'EstShip_Ground' => 'float',
        'EstShip_2ndDay' => 'float',
        'EstShip_Overnight' => 'float',
        'EstDaysToShip' => 'int',
        'CustomField1' => 'string',
        'CustomField2' => 'string',
        'CustomField3' => 'string',
        'CustomField4' => 'string',
        'CustomField5' => 'string',
        'ShoppingDotCom_Category' => 'string',
        'Yahoo_Category' => 'string',
        'Yahoo_Medium' => 'string',
        'ProductManufacturer' => 'string',
        'Hide_When_OutOfStock' => 'string',
        'StockLowQtyAlarm' => 'int',
        'AddToPO_Now' => 'string',
        'LastPO_Qty' => 'int',
        'LastPO_Date' => 'string',
        'HowToGetSalePrice' => 'string',
        'Inv_Verify_QtyOnHand' => 'int',
        'Inv_LastVerified' => 'string',
        'EnableMultiChildAddToCart' => 'string',
        'Vendor_Price' => 'float',
        'EnableOptions_InventoryControl' => 'string',
        'PhotoURL_Small' => 'string',
        'PhotoURL_Large' => 'string',
        'Private_Section_Customers_Only' => 'string',
        'Quickbooks_Item_Accnt' => 'string',
        'Quickbooks_Item_AssetAccnt' => 'string',
        'Quickbooks_Item_CogsAccnt' => 'string',
        'VAT_Percentage' => 'float',
        'Recurring_Pricing_Text' => 'string',
        'Google_Product_Type' => 'string',
        'Length' => 'double',
        'Width' => 'double',
        'Height' => 'double',
        'Ships_By_Itself' => 'string',
        'Package_Type' => 'string',
        'Oversized' => 'string',
        'Additional_Handling_Indicator' => 'string',
        'Reward_Points_Given_For_Purchase' => 'int',
        'EAN' => 'string',
        'Google_Product_Category' => 'string',
        'Google_Size' => 'string',
        'Google_Color' => 'string',
        'Google_Gender' => 'string',
        'Google_Age_Group' => 'string',
        'Google_Availability' => 'string',
        'Google_Pattern' => 'string',
        'Google_Material' => 'string',
        'Google_Unique_Identifier_Exists' => 'int',
        'Google_Adult_Product' => 'int',
        'Google_SizeType' => 'string',
        'Google_SizeSystem' => 'string',
        'custom_label_0' => 'string',
        'custom_label_1' => 'string',
        'custom_label_2' => 'string',
        'custom_label_3' => 'string',
        'custom_label_4' => 'string',
        'ProductCode' => 'string',
        'Vendor_PartNo' => 'string',
        'ProductName' => 'string',
        'DisplayBeginDate' => 'string',
        'DisplayEndDate' => 'string',
        'HideProduct' => 'string',
        'StockStatus' => 'int',
        'Options_Cloned_From' => 'string',
        'Photos_Cloned_From' => 'string',
        'Share_StockStatus_With' => 'string',
        'IsChildOfProductCode' => 'string',
        'IsChildOfProductCode_ProductID' => 'int',
        'Options_Cloned_From_ProductID' => 'int',
        'Photos_Cloned_From_ProductID' => 'int',
        'Share_StockStatus_With_ProductID' => 'int',
        'ProductPopularity' => 'int',
        'HomePage_Section' => 'int',
        'AutoDropShip' => 'string',
        'DoNotAllowBackOrders' => 'string',
        'WarehouseLocation' => 'string',
        'WarehouseAisle' => 'string',
        'WarehouseBin' => 'string',
        'WarehouseCustom' => 'string',
        'SessionID' => 'int',
        'Row_Size' => 'int',
        'Row_Index' => 'int',
        'Col_Size' => 'int',
        'Col_Index' => 'int',
        'Value' => 'string',
        'organization_type_display' => 'string',
        'organization_type_value' => 'string',
        'ID_Warehouses' => 'int',
        'Warehouse_Name' => 'string',
        'Country' => 'string',
        'State' => 'string',
        'PostalCode' => 'string',
        'TextOptionID' => 'int',
        'OptionID' => 'int',
        'ProductDescriptionShort' => 'string',
        'ProductDescription' => 'string',
        'GCR_CountryID' => 'int',
        'GCR_Country_DisplayName' => 'string',
        'GCR_Country_Code' => 'string',
        'TimeZoneDaylightSavingRuleID' => 'int',
        'Region' => 'string',
        'ProductFeatures' => 'string',
        'TechSpecs' => 'string',
        'ExtInfo' => 'string',
        'OrderFinished_Note' => 'string',
        'METATAG_Keywords' => 'string',
        'ProductDescription_AbovePricing' => 'string',
        'CUSTOM_METATAGS_OVERRIDE' => 'string',
        'GCR_LanguageID' => 'int',
        'GCR_Language_DisplayName' => 'string',
        'GCR_Language_Code' => 'string',
        'ID_Back_In_Stock_Requests' => 'int',
        'EmailAddress' => 'string',
        'Sent_Email' => 'string',
        'Date_Requested' => 'string',
        'TimeZonesID' => 'int',
        'TimeZoneDesc' => 'string',
        'HH' => 'string',
        'MM' => 'string',
        'AbbStandard' => 'string',
        'AbbDaylight' => 'string',
        'TrackingNumber' => 'string',
        'Gateway' => 'string',
        'ShipDate' => 'string',
        'OrderID' => 'int',
        'Shipment_Cost' => 'float',
        'ShippingMethodID' => 'int',
        'Package' => 'string',
        'Form' => 'string',
        'ID_Payment_Log_Reply_Raw' => 'int',
        'Pay_ID' => 'int',
        'Reply' => 'string',
        'UF_ID' => 'int',
        'UF_Flag' => 'string',
        'UF_Version' => 'string',
        'VR_ID' => 'int',
        'Vendor_ID' => 'int',
        'VR_ProductCode' => 'string',
        'VR_MinQty' => 'int',
        'VR_MaxQty' => 'int',
        'VR_Price' => 'float',
        'VR_PartNo' => 'string',
        'VR_Deactivate_Until' => 'string',
        'QB_ID' => 'int',
        'CustomerID' => 'int',
        'Vendor_Title' => 'string',
        'Vendor_Address' => 'string',
        'Vendor_PO_SendVia' => 'string',
        'Vendor_PO_Template' => 'string',
        'Vendor_EmailAddress' => 'string',
        'Vendor_Email_Subject' => 'string',
        'Vendor_FaxNumber' => 'string',
        'Vendor_PO_ShipTo' => 'string',
        'Vendor_PO_ShipVia' => 'string',
        'Vendor_PO_Terms' => 'string',
        'Vendor_PO_DueDate' => 'string',
        'Vendor_PO_FOB' => 'string',
        'Vendor_PO_Notes' => 'string',
        'Vendor_PO_SignedBy' => 'string',
        'Allows_DropShipping' => 'string',
        'Active' => 'string',
        'Vendor_Contacts' => 'string',
        'VPL_ID' => 'int',
        'VPL_Vendor_ID' => 'int',
        'VPL_ProductCode' => 'string',
        'ID_Notifications' => 'int',
        'ID_Volusion_Notifications' => 'int',
        'Priority' => 'int',
        'Subject' => 'string',
        'Message' => 'string',
        'Start_Date' => 'string',
        'End_Date' => 'string',
        'Super_Admins_Only' => 'string',
        'Disable_Once_Read' => 'string',
        'Announcement' => 'string',
        'WL_ID' => 'int',
        'WL_CustomerID' => 'int',
        'WL_ProductCode' => 'string',
        'WL_OptionIDs' => 'string',
        'StateFipsCode' => 'string',
        'Zip' => 'string',
        'ZipName' => 'string',
        'Longitude' => 'float',
        'Latitude' => 'float',
        '1990Population' => 'int',
        'AllocationFactor' => 'float',
        'Viewed_By' => 'int',
        'View_Date' => 'string',
        'View_Date_UTC' => 'string',
        'Status' => 'int',
        'ID_KB_Article_Feedback' => 'int',
        'KB_ID' => 'int',
        'Rating' => 'int',
        'Comments' => 'string',
        'IPAddress' => 'string',
        'Unit' => 'string',
        'Hint' => 'string',
        'Number_Of_Results' => 'int',
        'Price' => 'double',
        'DateCreated' => 'string',
        'LabelLink' => 'string',
        'LabelServiceCode' => 'string',
        'Weight' => 'double',
        'WeightUnit' => 'int',
        'ID_KB_Search_Hints_History' => 'int',
        'SearchTerm' => 'string',
        'ID_CRM_Inbound_Rules' => 'int',
        'Field' => 'string',
        'Operator' => 'string',
        'Action' => 'string',
        'Department' => 'int',
        'Title' => 'string',
        'Completed' => 'string',
        'Deleted' => 'string',
        'ID_CRM_Inbound_Rules_Log' => 'int',
        'Sender_Email' => 'string',
        'Sender_IP' => 'string',
        'ExternalOrderExceptionID' => 'int',
        'ExternalOrderType' => 'string',
        'ExternalOrderID' => 'string',
        'ExceptionMessage' => 'string',
        'CreateDateTime' => 'string',
        'ExternalOrderUrl' => 'string',
        'ExternalOrderStatus' => 'string',
        'TicketNumber' => 'int',
        'CustomerEmailAddress' => 'string',
        'TicketType' => 'int',
        'TicketStatus' => 'string',
        'LockedBy' => 'int',
        'TicketNotes' => 'string',
        'TicketClassification' => 'int',
        'TicketReplies' => 'int',
        'TicketKey' => 'int',
        'SiteLimitationID' => 'int',
        'SiteLimitation_Name' => 'string',
        'SiteLimitation_Value' => 'string',
        'SiteLimitation_Description' => 'string',
        'ModBy' => 'string',
        'ID_CRM_TicketClassifications' => 'int',
        'Private_Name' => 'string',
        'Public_Name' => 'string',
        'ID_CRM_Rating_Rules' => 'int',
        'Type' => 'string',
        'Point_Value' => 'double',
        'Feature_Name' => 'string',
        'Feature_Value' => 'string',
        'Feature_Description' => 'string',
        'CRM_TicketReplies_ID' => 'int',
        'ID_CRM_Solutions_To_Review' => 'int',
        'Reviewed' => 'string',
        'AAR_ID' => 'int',
        'AAR_CustomerID' => 'int',
        'AAR_Products' => 'string',
        'AAR_Product_Keys' => 'string',
        'AAR_Discounts' => 'string',
        'AAR_GiftCards' => 'string',
        'AAR_Customers' => 'string',
        'AAR_LoginAsCustomer' => 'string',
        'AAR_Reviews' => 'string',
        'AAR_Affiliates' => 'string',
        'AAR_ConfigSetup' => 'string',
        'AAR_PaymentMethods' => 'string',
        'AAR_Vendors' => 'string',
        'AAR_POs' => 'string',
        'AAR_Orders' => 'string',
        'AAR_CreditCards' => 'string',
        'AAR_Articles' => 'string',
        'AAR_Newsletters' => 'string',
        'AAR_Categories' => 'string',
        'AAR_Specials' => 'string',
        'AAR_Import' => 'string',
        'AAR_Export' => 'string',
        'AAR_AdminHistory' => 'string',
        'AAR_LiveEdit' => 'string',
        'AAR_Inventory' => 'string',
        'AAR_ShippingMethods' => 'string',
        'AAR_Locations' => 'string',
        'AAR_Tax' => 'string',
        'AAR_ROITracker' => 'string',
        'AAR_StoreStats' => 'string',
        'AAR_WebsiteDesign' => 'string',
        'AAR_BrandingImages' => 'string',
        'AAR_Maintenance' => 'string',
        'AAR_BulkUpdates' => 'string',
        'AAR_Administrators' => 'string',
        'AAR_CRM_Manager' => 'string',
        'AAR_ReleaseNotes' => 'string',
        'AAR_Social' => 'string',
        'AAR_DealOfTheDay' => 'string',
        'AAR_SocialStore' => 'string',
        'AAR_API' => 'string',
        'AAR_MyRewards' => 'string',
        'AAR_GoogleCustomerReviews' => 'string',
        'AAR_reCaptcha' => 'string',
        'Body' => 'string',
        'MyDefault' => 'string',
        'OrderDetailID' => 'string',
        'EmailUsername' => 'string',
        'EmailPassword' => 'string',
        'EmailServer' => 'string',
        'Email_Reply_Footer' => 'string',
        'AutoReplySubject' => 'string',
        'AutoReplyBody' => 'string',
        'spAspID' => 'int',
        'spName' => 'string',
        'TopRowcount' => 'int',
        'BegDatepart' => 'string',
        'BegNumber' => 'int',
        'EndDatepart' => 'string',
        'EndNumber' => 'int',
        'ChartType' => 'string',
        'ChartSize' => 'string',
        'Position_OrderBy' => 'int',
        'Position_Column' => 'int',
        'Comparison_Overlay' => 'string',
        'RSS_Template' => 'string',
        'RSS_URL' => 'string',
        'Truncate_Labels' => 'string',
        'ID_VStats_Enum_Browsers' => 'int',
        'Browser' => 'int',
        'Id' => 'int',
        'SalesTaxModel' => 'string',
        'Zipcode' => 'string',
        'StateCode' => 'string',
        'StateName' => 'string',
        'CountyName' => 'string',
        'CityName' => 'string',
        'IsActive' => 'int',
        'Added' => 'string',
        'Updated' => 'string',
        'EffectiveDate' => 'string',
        'APTV_ID' => 'int',
        'APTV_CustomerID' => 'int',
        'APTV_Table' => 'string',
        'APTV_ScreenSize' => 'string',
        'APTV_RowsPerPage' => 'string',
        'APTV_BUpdates_Hide' => 'string',
        'APTV_VPreferences_Hide' => 'string',
        'APTV_SearchBox_Hide' => 'string',
        'APTV_OtherBox1_Hide' => 'string',
        'APTV_OtherBox2_Hide' => 'string',
        'APTV_QuickStats_Hide' => 'string',
        'APTV_Add_PlusViewList' => 'string',
        'APTV_Save_PlusViewList' => 'string',
        'APTV_QB_ID' => 'int',
        'APTV_ViewableColumns' => 'string',
        'APTV_HiddenColumns' => 'string',
        'APTV_EditableColumns' => 'string',
        'Table_Name' => 'string',
        'Table_ID' => 'int',
        'FileName' => 'string',
        'FileExt' => 'string',
        'FileKey' => 'string',
        'FileSizeinKB' => 'int',
        'AttachmentKey' => 'int',
        'AffiliateID' => 'int',
        'ParentID' => 'int',
        'Percent1' => 'float',
        'Percent2' => 'float',
        'Percent3' => 'float',
        'Percent4' => 'float',
        'Percent5' => 'float',
        'DaysToTrack' => 'int',
        'AffiliateType' => 'string',
        'News_ID' => 'int',
        'Group_Title' => 'string',
        'ID_VStats_Enum_Domains' => 'int',
        'Domain' => 'int',
        'ID_Customers_Groups' => 'int',
        'ClickTrackId' => 'int',
        'AffiliateId' => 'int',
        'OrderStatus' => 'string',
        'Returned' => 'string',
        'Percentage' => 'double',
        'Password' => 'string',
        'Date_Archived' => 'string',
        'ID_VStats_Enum_External_Domains' => 'string',
        'External_Referrer_Domain' => 'int',
        'CategoryName' => 'string',
        'CategoryOrder' => 'int',
        'CategoryType' => 'string',
        'SyncID' => 'int',
        'DiscountAutoID' => 'int',
        'CategoryID' => 'int',
        'CategoryDescription' => 'string',
        'ParentCategoryID' => 'int',
        'PageName' => 'string',
        'SpotKey' => 'string',
        'ArticleTitle' => 'string',
        'ArticleCaption' => 'string',
        'ArticleBody' => 'string',
        'ExcludeFrom_Sitemap' => 'string',
        'ID_VStats_Enum_External_Pages' => 'string',
        'External_Referrer_Page' => 'string',
        'BillingID' => 'int',
        'BillingCompanyName' => 'string',
        'BillingFirstName' => 'string',
        'BillingLastName' => 'string',
        'BillingAddress1' => 'string',
        'BillingAddress2' => 'string',
        'BillingCity' => 'string',
        'BillingState' => 'string',
        'BillingPostalCode' => 'string',
        'BillingCountry' => 'string',
        'BillingPhoneNumber' => 'string',
        'BillingFaxNumber' => 'string',
        'BillingCHOSEN' => 'string',
        'Previous_Stock' => 'int',
        'New_Stock' => 'int',
        'Event' => 'string',
        'EventID' => 'int',
        'ParentCategoryDescription' => 'string',
        'dtDate' => 'string',
        'ID_VStats_Enum_KPIs' => 'int',
        'KPI' => 'int',
        'CartProductCode' => 'string',
        'CartItemQuantity' => 'int',
        'CartOptionIDs' => 'string',
        'CartGiftWrap' => 'string',
        'CartGiftWrapNote' => 'string',
        'CartProductPrice' => 'float',
        'CartCouponCodes' => 'string',
        'CartRecurringPrice' => 'float',
        'CartRecurringHowOften' => 'int',
        'CartRecurringDuration' => 'int',
        'CartID_Number' => 'int',
        'Custom_Fields_ID' => 'int',
        'Question' => 'string',
        'Question_SubText' => 'string',
        'Input_Type' => 'string',
        'Input_MaxLength' => 'int',
        'Placement_Order' => 'int',
        'Is_Required' => 'string',
        'Is_Public' => 'string',
        'Show_On_Invoices' => 'string',
        'ShowOnMobile' => 'int',
        'CartID' => 'string',
        'GiftSendMethod' => 'string',
        'GiftToName' => 'string',
        'GiftFromName' => 'string',
        'GiftAmount' => 'float',
        'GiftQuantity' => 'int',
        'GiftEmailAddresses' => 'string',
        'GiftMessage' => 'string',
        'ID_VStats_Enum_Operating_Systems' => 'int',
        'Operating_System' => 'int',
        'Email_Address' => 'string',
        'Phone_Number' => 'string',
        'Page_Name' => 'string',
        'Notes' => 'string',
        'RetentionEmailSent' => 'string',
        'Custom_Fields_Dropdown_Values_ID' => 'int',
        'SliderImageId' => 'int',
        'ImageFileName' => 'string',
        'AltText' => 'string',
        'PageLinkUri' => 'string',
        'LastModifiedUTC' => 'string',
        'BannerText' => 'string',
        'BannerSubText' => 'string',
        'BannerButtonText' => 'string',
        'CategoryVisible' => 'string',
        'AlternateURL' => 'string',
        'Category_DisplayMode' => 'string',
        'SubCategory_DisplayMode1' => 'string',
        'SubCategory_DisplayMode2' => 'string',
        'Display_Columns' => 'int',
        'Display_Rows' => 'int',
        'Display_SHOWlistprice' => 'string',
        'Display_SHOWsaleprice' => 'string',
        'Display_SHOWyousave' => 'string',
        'Display_SHOWdescriptionSHORT' => 'string',
        'Display_SHOWdescription' => 'string',
        'Display_SHOWstockstatus' => 'string',
        'Display_SHOWavailability' => 'string',
        'Display_FeaturedProductsOnly' => 'string',
        'SubCategory_DisplayMode2_Columns' => 'int',
        'RootID' => 'int',
        'Default_SortBy' => 'string',
        'Link_Title_Tag' => 'string',
        'category_graphic_placement' => 'string',
        'SubCategory_DisplayColumns' => 'int',
        'FilterCategory' => 'string',
        'Auto_Maintained_OptionCatID' => 'int',
        'Auto_Maintained_OptionID' => 'int',
        'CategoryDescriptionSHORT' => 'string',
        'CategoryDescription_BelowProducts' => 'string',
        'Custom_Where_Clause' => 'string',
        'AlternateURL_OpenNewWindow' => 'string',
        'Hidden' => 'string',
        'Display_SHOWpoints' => 'string',
        'VCompareOptOut' => 'string',
        'Breadcrumb' => 'string',
        'PhotoSeed' => 'int',
        'SubCategory_DisplayMode1_Responsive' => 'string',
        'SubCategory_DisplayColumns_Responsive' => 'int',
        'Category_DisplayMode_Responsive' => 'string',
        'Display_Columns_Responsive' => 'int',
        'SubCategory_DisplayMode2_Responsive' => 'string',
        'VendorCategory' => 'string',
        'AccessoryProductID' => 'int',
        'ID_VStats_Enum_Pages' => 'int',
        'Page' => 'string',
        'Auto_Maintenance_Column' => 'string',
        'Course' => 'int',
        'Step_Order' => 'int',
        'Step_Key' => 'string',
        'Step_Title' => 'string',
        'Step_Link' => 'string',
        'ID_VStats_Enum_Resolutions' => 'int',
        'Resolution' => 'int',
        'Column_Name' => 'string',
        'Data_Type' => 'string',
        'Character_Maximum_Length' => 'int',
        'Must_Be_Unique' => 'string',
        'Is_Primary_Key' => 'string',
        'BegDate' => 'string',
        'EndDate' => 'string',
        'HitCount' => 'int',
        'CreatedDate' => 'string',
        'ID_VStats_Raw_Page_Views' => 'string',
        'ID_VStats_Raw_Profiles' => 'string',
        'ID_Customer' => 'string',
        'ID_Order' => 'string',
        'SSL' => 'int',
        'Query_String' => 'string',
        'Internal_Referrer' => 'string',
        'DataName' => 'string',
        'RunDate' => 'string',
        'CCardID' => 'int',
        'CreditCardType' => 'int',
        'CardHoldersName' => 'string',
        'CreditCardExpDate' => 'string',
        'BankName' => 'string',
        'RoutingNumber' => 'string',
        'AccountNumber' => 'string',
        'AccountType' => 'string',
        'MICR' => 'string',
        'CheckNumber' => 'string',
        'PONum' => 'string',
        'CCardChosen' => 'string',
        'CashTender' => 'float',
        'Keep_Payment_Method_On_File' => 'string',
        'CreditCardIssueDate' => 'string',
        'CreditCardIssueNumber' => 'string',
        'CC_Last4' => 'string',
        'DV_CreditCardNumber' => 'int',
        'PCIaaS_CardId' => 'string',
        'PCIaaS_MaskedCardRef' => 'string',
        'IP_Address' => 'string',
        'ID_Affiliate' => 'string',
        'External_Referrer_Query_String' => 'string',
        'Keywords' => 'string',
        'Browser_Version' => 'string',
        'Screen_Width' => 'int',
        'Screen_Height' => 'int',
        'Color_Depth' => 'int',
        'Flash_Version' => 'string',
        'DataValue' => 'string',
        'ExampleValue' => 'string',
        'ConfigSetupGroup' => 'string',
        'PrivatePage' => 'string',
        'ReadOnly' => 'string',
        'Dropdown_Choices' => 'string',
        'FriendlyName' => 'string',
        'Private' => 'string',
        'ISO' => 'string',
        'USPSCode' => 'string',
        'Country_IsLocalRegion' => 'string',
        'State_Province_Text' => 'string',
        'ISO3166_2' => 'string',
        'ID_VStats_Real_Page_Views' => 'string',
        'ID_VStats_Real_Profiles' => 'string',
        'DueDate' => 'string',
        'ID_KB_Categories' => 'int',
        'Interaction_Medium' => 'string',
        'Headers' => 'string',
        'Points' => 'int',
        'Call_Duration' => 'int',
        'WebServiceAsyncID' => 'int',
        'WebServiceTypeID' => 'int',
        'CreateDate' => 'string',
        'LastUpdate' => 'string',
        'RowCountTotal' => 'int',
        'RowCountCurrent' => 'int',
        'ID_Login_History' => 'int',
        'AccessKey' => 'string',
        'FirstName' => 'string',
        'LastName' => 'string',
        'CompanyName' => 'string',
        'City' => 'string',
        'PhoneNumber' => 'string',
        'FaxNumber' => 'string',
        'PaysStateTax' => 'string',
        'EmailSubscriber' => 'string',
        'CatalogSubscriber' => 'string',
        'LastLogin' => 'string',
        'PercentDiscount' => 'float',
        'WebsiteAddress' => 'string',
        'DiscountLevel' => 'string',
        'FirstDateVisited' => 'string',
        'FirstOrderDate' => 'string',
        'CustomerType' => 'string',
        'LoginAttempts' => 'int',
        'LastLoginAttempt' => 'string',
        'Customer_IsAnonymous' => 'string',
        'IsSuperAdmin' => 'string',
        'news1' => 'string',
        'news2' => 'string',
        'news3' => 'string',
        'news4' => 'string',
        'news5' => 'string',
        'news6' => 'string',
        'news7' => 'string',
        'news8' => 'string',
        'news9' => 'string',
        'news10' => 'string',
        'news11' => 'string',
        'news12' => 'string',
        'news13' => 'string',
        'news14' => 'string',
        'news15' => 'string',
        'news16' => 'string',
        'news17' => 'string',
        'news18' => 'string',
        'news19' => 'string',
        'news20' => 'string',
        'Allow_Access_To_Private_Sections' => 'string',
        'Checkbox_For_New_Customers' => 'string',
        'Customer_Notes' => 'string',
        'SalesRep_CustomerID' => 'int',
        'Custom_Field_Custom1' => 'string',
        'Custom_Field_Custom2' => 'string',
        'Custom_Field_Custom3' => 'string',
        'Custom_Field_Custom4' => 'string',
        'Custom_Field_Custom5' => 'string',
        'Removed_From_Rewards' => 'string',
        'RestrictedPaymentMethodIDs' => 'string',
        'RestrictedShippingMethodIDs' => 'string',
        'RestrictedFreeShipping' => 'string',
        'ProductId' => 'int',
        'YouTubeId' => 'string',
        'Sort' => 'int',
        'UpdatedDate' => 'string',
        'UpdatedByCustomerId' => 'int',
        'URL' => 'string',
        'URL_Target' => 'string',
        'Section' => 'string',
        'ID_Navigation_Menus' => 'int',
        'Category_Visible' => 'int',
        'Template_Name' => 'string',
        'Alignment' => 'string',
        'Divider' => 'string',
        'Sub_Levels' => 'int',
        'CUSTOM_DIVIDER' => 'string',
        'CUSTOM_MENU_ITEM' => 'string',
        'Title_TextColor' => 'string',
        'Title_BgColor' => 'string',
        'Menu_Visible' => 'string',
        'LastDailyUpdate' => 'string',
        'ID_tbl_Import_Export_SQL_From_Clauses' => 'int',
        'Table1Name' => 'string',
        'Table2Name' => 'string',
        'SQL_JOIN' => 'string',
        'ID_tbl_Log_SQL_Usage' => 'int',
        'Run_Date' => 'string',
        'Duration_in_Milliseconds' => 'int',
        'Row_Count' => 'int',
        'Column_Count' => 'int',
        'Total_Bytes' => 'string',
        'GiftCardID' => 'string',
        'AmountUsed' => 'float',
        'DiscountType' => 'int',
        'DiscountValue' => 'float',
        'Span' => 'string',
        'BeginDate' => 'string',
        'MinOrderPrice' => 'float',
        'MaxOrderPrice' => 'float',
        'Apply_To_All_Orders' => 'string',
        'CouponCode' => 'string',
        'OneTimeUse' => 'string',
        'Cannot_Use_With_Any_Other' => 'string',
        'Taxable_DiscountAfterTax' => 'int',
        'CouponUsage' => 'string',
        'Internal_Notes' => 'string',
        'ID_AdminHistory_URLs' => 'int',
        'ER_ID' => 'int',
        'Currency' => 'string',
        'Symbol' => 'string',
        'ExchangeRate' => 'float',
        'IsDefault' => 'string',
        'PayPal_CurrencyCode' => 'string',
        'CurrencyType' => 'string',
        'WebServiceEventID' => 'int',
        'WebServiceEventToken' => 'string',
        'WebServiceEventDescription' => 'string',
        'Flag_Title' => 'string',
        'Flag_Complete' => 'string',
        'DealPrice' => 'float',
        'DealHeadline' => 'string',
        'UseProductDescription' => 'int',
        'CustomDescription' => 'string',
        'GiftCardDetailsID' => 'int',
        'SendMethod' => 'string',
        'EmailAddresses' => 'string',
        'ToName' => 'string',
        'FromName' => 'string',
        'GiftTrakNumber' => 'int',
        'WebServiceTypeToken' => 'string',
        'WebServiceTypeDescription' => 'string',
        'GiftAmountLeft' => 'float',
        'ByOrderID' => 'int',
        'IV_ID' => 'int',
        'Login_Username' => 'string',
        'Login_Password' => 'string',
        'Custom1' => 'string',
        'Custom2' => 'string',
        'Custom3' => 'string',
        'WebServiceAsyncEventLogID' => 'int',
        'IH_ID' => 'int',
        'IH_Barcode' => 'string',
        'IH_ProductCode' => 'string',
        'IH_POI_ID' => 'int',
        'IH_OrderDetailID' => 'int',
        'IH_RMAI_ID' => 'int',
        'IH_Action' => 'string',
        'ID_Newsletter_Email_Addresses' => 'int',
        'Sent' => 'string',
        'ID_ShippingPackage' => 'int',
        'ShipID' => 'int',
        'PackageTypeName' => 'string',
        'PackageTypeCode' => 'string',
        'Allow_Or_Block' => 'string',
        'Applies_To_Admin_Area_Only' => 'string',
        'IP_Range_Begin' => 'string',
        'IP_Range_End' => 'string',
        'KITLNK_ID' => 'int',
        'KIT_ID' => 'int',
        'KITLNK_ProductCode' => 'string',
        'KITLNK_OPTIONID' => 'int',
        'KITLNK_QTY' => 'int',
        'KitLnk_PriceDiff' => 'float',
        'PageUrl' => 'string',
        'ID_tbl_QBWC_Guid' => 'int',
        'QBWC_Ticket' => 'int',
        'QBType' => 'string',
        'Step' => 'int',
        'KIT_Type' => 'string',
        'KIT_ProductCode' => 'string',
        'KIT_IsProductCode' => 'string',
        'KIT_QTY' => 'int',
        'Kit_OrderBy' => 'int',
        'Start' => 'string',
        'DurationInSeconds' => 'int',
        'Parameters' => 'string',
        'Certified' => 'string',
        'GUID' => 'int',
        'NS_ID' => 'int',
        'NS_Opened' => 'string',
        'NS_Clicked' => 'string',
        'NS_Bounced' => 'string',
        'ID_tbl_QBWC_Guid_Log' => 'int',
        'XMLSent' => 'string',
        'XMLReceived' => 'string',
        'News_Name' => 'string',
        'News_SendTo' => 'string',
        'News_SendTestTo' => 'string',
        'News_SendTo_Unsubscribers' => 'string',
        'News_Template' => 'string',
        'News_Subject' => 'string',
        'News_SendDate' => 'string',
        'News_HTML_Body' => 'string',
        'News_TextOnly_Body' => 'string',
        'Google_OrderID' => 'string',
        'First_Email_Sent' => 'string',
        'Last_Email_Sent' => 'string',
        'word' => 'string',
        'HeadingGroup' => 'string',
        'OptionCategoriesDesc' => 'string',
        'IsRequired' => 'string',
        'DisplayType' => 'string',
        'ArrangeOptionCategoriesBy' => 'int',
        'Hide_OptionCategoriesDesc' => 'string',
        'Include_In_Search_Refinement' => 'string',
        'AboutOptionCategories' => 'string',
        'Use_Google_Size' => 'string',
        'Use_Google_Color' => 'string',
        'Use_Google_Material' => 'string',
        'Use_Google_Pattern' => 'string',
        'ID_CRM_TicketTypes' => 'int',
        'ID_tbl_EDI_Variables' => 'int',
        'Company_Name' => 'string',
        'ThirdPartyValue' => 'string',
        'ThirdPartyAltValue' => 'string',
        'LastSent' => 'string',
        'OptionCatID' => 'int',
        'ReplacesOptionID' => 'string',
        'OptionsDesc' => 'string',
        'PriceDiff' => 'float',
        'RecurringPriceDiff' => 'float',
        'JumpToProductCode' => 'string',
        'NoValue' => 'string',
        'ArrangeOptionsBy' => 'int',
        'DefaultSelected' => 'string',
        'Textbox_Size' => 'string',
        'Textbox_Rows' => 'string',
        'Validate_RegExpression' => 'string',
        'Validate_ErrorMessage' => 'string',
        'Validate_OptionID' => 'string',
        'Validate_OptionCatID' => 'string',
        'IsProductCode' => 'string',
        'VendorPriceDiff' => 'float',
        'Only_Available_With_OptionIDs' => 'string',
        'Not_Available_With_OptionIDs' => 'string',
        'IsProductPrice' => 'string',
        'IsProductQuantity' => 'string',
        'IsFixedShippingCost' => 'string',
        'IsProductCode_Qty' => 'int',
        'SetupCostDiff' => 'float',
        'OptionsDesc_SideNote' => 'string',
        'Textbox_Max_Length' => 'string',
        'FixedShippingCost' => 'float',
        'ClickTrackID' => 'int',
        'Referer' => 'string',
        'ID_Email_Form_History' => 'int',
        'AH_ID' => 'int',
        'AH_Updated' => 'int',
        'AH_Deleted' => 'int',
        'AH_BulkUpdate' => 'string',
        'Date' => 'string',
        'GeneratedBy' => 'int',
        'BatchID' => 'int',
        'Paid' => 'string',
        'Quantity' => 'float',
        'TotalPrice' => 'float',
        'Shipped' => 'string',
        'Locked' => 'string',
        'OnOrder_Qty' => 'int',
        'GiftWrap' => 'string',
        'GiftWrapNote' => 'string',
        'OptionIDs' => 'string',
        'RMA_Number' => 'int',
        'RMAI_ID' => 'int',
        'Returned_Date' => 'string',
        'Product_Keys_Shipped' => 'string',
        'IsKitID' => 'string',
        'KitID' => 'string',
        'Warehouses' => 'string',
        'CustomLineItem' => 'string',
        'ProductNote' => 'string',
        'QtyOnBackOrder' => 'int',
        'QtyOnHold' => 'int',
        'QtyShipped' => 'int',
        'Options' => 'string',
        'QtyOnPackingSlip' => 'int',
        'OrderDetailID_Third_Party' => 'string',
        'OrderDetailID_Third_Party_Link' => 'string',
        'FreeShippingDiscount' => 'string',
        'NonShippable' => 'string',
        'StatDate' => 'string',
        'OrderDetailsCount' => 'int',
        'COGS' => 'int',
        'Profit' => 'float',
        'ProfitMargin' => 'float',
        'CampaignID' => 'string',
        'OrderDate' => 'string',
        'OrderDateUtc' => 'string',
        'FB_ReferralCode' => 'string',
        'FB_CampaignID' => 'string',
        'FB_ConversionID' => 'string',
        'V_Version' => 'string',
        'V_OrderDetailID' => 'int',
        'ShipCompanyName' => 'string',
        'ShipFirstName' => 'string',
        'ShipLastName' => 'string',
        'ShipAddress1' => 'string',
        'ShipAddress2' => 'string',
        'ShipCity' => 'string',
        'ShipState' => 'string',
        'ShipPostalCode' => 'string',
        'ShipCountry' => 'string',
        'ShipPhoneNumber' => 'string',
        'ShipFaxNumber' => 'string',
        'TotalShippingCost' => 'float',
        'SalesTaxRate' => 'float',
        'PaymentAmount' => 'float',
        'PaymentMethodID' => 'int',
        'CreditCardAuthorizationNumber' => 'string',
        'CreditCardTransactionID' => 'string',
        'GiftCardIDUsed' => 'string',
        'IsAGift' => 'string',
        'VendorID' => 'int',
        'CreditCardAuthorizationDate' => 'string',
        'PaymentDeclined' => 'string',
        'Customer_IPAddress' => 'string',
        'AVS' => 'string',
        'CVV2_Response' => 'string',
        'Processed_AutoEvents' => 'string',
        'Shipping_Locked' => 'string',
        'Printed' => 'string',
        'Total_Payment_Received' => 'float',
        'Total_Payment_Authorized' => 'float',
        'BatchNumber' => 'int',
        'SalesTaxRate1' => 'float',
        'SalesTaxRate2' => 'float',
        'SalesTaxRate3' => 'float',
        'SalesTax1' => 'float',
        'SalesTax2' => 'float',
        'SalesTax3' => 'float',
        'OrderNotes' => 'string',
        'Order_Comments' => 'string',
        'Order_Entry_System' => 'string',
        'ShipResidential' => 'string',
        'Stock_Priority' => 'int',
        'OrderID_Third_Party' => 'string',
        'AddressValidated' => 'string',
        'TaxRate_IsVat' => 'string',
        'AuthHash' => 'string',
        'sOrderID' => 'string',
        'CancelReason' => 'string',
        'CancelDate' => 'string',
        'IsGTSOrder' => 'int',
        'InitiallyShippedDate' => 'string',
        'OrderID_Third_Party_Link' => 'string',
        'FreeShippingDiscountApplied' => 'string',
        'OrderCount' => 'int',
        'EDI_Name' => 'string',
        'Usage_Count' => 'int',
        'CustomerID_Guid' => 'int',
        'Binary_Image' => 'string',
        'System' => 'string',
        'Date_Created' => 'string',
        'Pay_PaymentMethodID' => 'int',
        'Pay_TransID' => 'string',
        'Pay_AuthCode' => 'string',
        'Pay_AVS_Response' => 'string',
        'Pay_CVV2_Response' => 'string',
        'Pay_Result' => 'string',
        'Pay_Amount' => 'float',
        'Pay_OrderID' => 'int',
        'Pay_AuthDate' => 'string',
        'Pay_Details' => 'string',
        'Pay_Exclude_From_Total_Due' => 'string',
        'Pay_Parent_TransID' => 'string',
        'Third_Party_Field1' => 'string',
        'PCIaaS_RecurringTransaction' => 'int',
        'PCIaaS_TransactionId' => 'string',
        'PaymentMethodType' => 'string',
        'PaymentMethod' => 'string',
        'PaymentMethodActive' => 'string',
        'PaymentOrderBy' => 'string',
        'PaymentMethod_SpecialValue1' => 'string',
        'PaymentMethod_SpecialValue2' => 'string',
        'PaymentMethod_SpecialValue3' => 'string',
        'Restrict_Method' => 'string',
        'ParentCategoryName' => 'string',
        'SessionLoginTokenID' => 'int',
        'LoginToken' => 'int',
        'FlagName' => 'string',
        'FlagValue' => 'string',
        'POI_ID' => 'int',
        'PO_Num' => 'int',
        'POI_ProductCode' => 'string',
        'POI_Vendor_PartNo' => 'string',
        'POI_ProductName' => 'string',
        'POI_Quantity' => 'int',
        'POI_VendorPrice' => 'float',
        'POI_QtyReceived' => 'int',
        'POI_ShippingCost' => 'float',
        'POI_OrderDetailID' => 'int',
        'POI_Options' => 'string',
        'Poll_Q_ID' => 'int',
        'Poll_ID' => 'int',
        'Poll_Q_Question' => 'string',
        'Poll_Q_Type' => 'string',
        'Poll_Q_Type_Size' => 'int',
        'Poll_Q_Type_Rows' => 'int',
        'Poll_Q_Required' => 'string',
        'Poll_Q_OrderBy' => 'int',
        'Tag' => 'string',
        'Relevance' => 'int',
        'PurchasePrice' => 'float',
        'NumProductsSharingStock' => 'int',
        'Poll_R_ID' => 'int',
        'Poll_R_Answer' => 'string',
        'Poll_R_OrderBy' => 'int',
        'PStats_ID' => 'int',
        'Poll_R_Text' => 'string',
        'ID_Reward_Points_History' => 'int',
        'AvailableOn' => 'string',
        'Archived' => 'string',
        'ExpiresOn' => 'string',
        'SessionDownloadTokenID' => 'int',
        'DownloadToken' => 'int',
        'QueryExpiringToken' => 'int',
        'DataFileName' => 'string',
        'DisplayName' => 'string',
        'Poll_Name' => 'string',
        'Poll_Submit_Btn_Text' => 'string',
        'Poll_BeginDate' => 'string',
        'Poll_EndDate' => 'string',
        'Poll_Location' => 'string',
        'Poll_Description' => 'string',
        'PO_Date' => 'string',
        'PO_ShippingCost' => 'float',
        'PO_Status' => 'string',
        'Customer_OrderID' => 'int',
        'PO_Vendor_Invoice_Num' => 'string',
        'PO_Vendor_Invoice_Date' => 'string',
        'SearchPhrase' => 'string',
        'PKey_ID' => 'int',
        'PKey_KeyType' => 'string',
        'PKey_AllowReuse' => 'string',
        'PKey_Used' => 'string',
        'PKey_DateAdded' => 'string',
        'PKey_Email_Template' => 'string',
        'PKey_Email_Subject' => 'string',
        'PKey_OriginalOrderID' => 'int',
        'PKey_OriginalOrderDetailID' => 'int',
        'PKey_Email_Body' => 'string',
        'CategoryIDs' => 'string',
        'InstallId' => 'int',
        'KitLinkProductCodesAndQuantities' => 'string',
        'AllRecordsCombinedForThisDay' => 'int',
        'AH_CustomerID' => 'int',
        'AH_IPAddress' => 'string',
        'FraudInsightID' => 'string',
        'DateAdded' => 'string',
        'DateUpdated' => 'string',
        'Score' => 'int',
        'IsHighRiskEmail' => 'int',
        'IsHighRiskShippingAddress' => 'int',
        'IsAnonymousProxy' => 'int',
        'ShippingIpAndCountryMatch' => 'int',
        'IsHighRiskIp' => 'int',
        'IsHighRiskBillingAddress' => 'int',
        'IsPostalInCityShippingAddress' => 'int',
        'IsPostalInCityBillingAddress' => 'int',
        'IpRiskScore' => 'double',
        'DistanceToIpLocationBillingInMiles' => 'int',
        'DistanceToIpLocationShippingInMiles' => 'int',
        'DistanceToBillingAddressFromShippingInMiles' => 'int',
        'LatitudeBilling' => 'double',
        'LongitudeBilling' => 'double',
        'LatitudeShipping' => 'double',
        'LongitudeShipping' => 'double',
        'LatitudeIp' => 'double',
        'LongitudeIp' => 'double',
        'IpAddress' => 'string',
        'IsEmailFree' => 'int',
        'EmailFirstSeen' => 'string',
        'UserType' => 'string',
        'BillingIpAndCountryMatch' => 'int',
        'FraudID' => 'int',
        'FraudDetailID' => 'int',
        'DecisionID' => 'int',
        'Decision' => 'int',
        'QB_Table' => 'string',
        'QB_Title' => 'string',
        'QB_QueryType' => 'string',
        'QB_CustomerID' => 'int',
        'QB_Export_FileType' => 'string',
        'QB_Query' => 'string',
        'QB_Misc' => 'string',
        'QB_AccessList' => 'string',
        'QB_Description' => 'string',
        'QB_Hide' => 'string',
        'OriginalOrderID' => 'int',
        'StartDate' => 'string',
        'HowOften' => 'int',
        'LastPaid' => 'string',
        'OriginalOrderDetailID' => 'int',
        'Recurring_Note' => 'string',
        'Delay_Charge_Until' => 'string',
        'IsStartPrice' => 'string',
        'CreditCardNumber' => 'string',
        'CVV2' => 'string',
        'ReviewID' => 'int',
        'ReviewTitle' => 'string',
        'Rate' => 'int',
        'YesHelpful' => 'int',
        'NotHelpful' => 'int',
        'Location' => 'string',
        'ReviewDescription' => 'string',
        'VersionNum' => 'int',
        'VersionStamp' => 'string',
        'VersionId' => 'int',
        'TemplateId' => 'string',
        'RMAI_OrderDetailID' => 'int',
        'RMAI_Quantity' => 'int',
        'RMAI_QtyReceived_Sellable' => 'int',
        'RMAI_QtyReceived_Damaged' => 'int',
        'RMAI_LostValue' => 'float',
        'RMAI_RefundType' => 'string',
        'RMAI_Exchange_OrderID' => 'int',
        'ID_ShippingMethods_Flat' => 'int',
        'ApplyTo_States' => 'string',
        'Cost_Base_Rate' => 'float',
        'Cost_Per_Pound' => 'float',
        'RMA_Date_Requested' => 'string',
        'RMA_OrderID' => 'int',
        'RMA_Status' => 'string',
        'RMA_Deadline' => 'string',
        'RMA_Notes' => 'string',
        'ID_Base_Revisions' => 'int',
        'ID_Reference' => 'string',
        'Revision' => 'string',
        'Approved' => 'string',
        'Session_Token' => 'string',
        'Datetime_Issued' => 'string',
        'ShipCHOSEN' => 'string',
        'KeyName' => 'string',
        'KeyValue' => 'string',
        'ShippingMethodName' => 'string',
        'ServiceCode' => 'string',
        'ShippingOrderBy' => 'string',
        'ShippingMethodActive' => 'string',
        'BaseRate' => 'float',
        'CostPerPound' => 'float',
        'ApplyToAll' => 'string',
        'ExtraShippingCost' => 'float',
        'ExtraShippingCost_Percent' => 'float',
        'MinOrderWeight' => 'float',
        'MaxOrderWeight' => 'float',
        'ApplyWhenZeroCost' => 'string',
        'Display' => 'string',
        'EstimatedDaysInTransit' => 'int',
        'SMAT_ID' => 'int',
        'Country_ID' => 'int',
        'State_ID' => 'int',
        'SMDNAT_ID' => 'int',
        'Side' => 'string',
        'SpecialOrder' => 'int',
        'HTML_Override' => 'string',
        'Record_Note' => 'string',
        'GroupName' => 'string',
        'State_Name' => 'string',
        'State_Code' => 'string',
        'State_IsLocalRegion' => 'string',
        'EmailSent' => 'string',
        'OrderID_Guid' => 'int',
        'StoreName' => 'string',
        'StoreAddress' => 'string',
        'StoreCity' => 'string',
        'StoreState' => 'string',
        'StoreZip' => 'string',
        'StorePhone' => 'string',
        'StoreDesc' => 'string',
    ];
}
