<?php namespace Core\Schemas;

use Core\Database\Eloquent\Model;

/**
 *\Core\Schemas\Products_Joined
 *
 * @property int $ProductID
 * @property string $ProductCode
 * @property string $Vendor_PartNo
 * @property string $ProductName
 * @property \DateTime $DisplayBeginDate
 * @property \DateTime $DisplayEndDate
 * @property string $HideProduct
 * @property int $StockStatus
 * @property \DateTime $LastModified
 * @property string $Options_Cloned_From
 * @property string $Photos_Cloned_From
 * @property string $Share_StockStatus_With
 * @property int $LastModBy
 * @property string $IsChildOfProductCode
 * @property int $IsChildOfProductCode_ProductID
 * @property int $Options_Cloned_From_ProductID
 * @property int $Photos_Cloned_From_ProductID
 * @property int $Share_StockStatus_With_ProductID
 * @property int $ProductPopularity
 * @property int $HomePage_Section
 * @property string $AutoDropShip
 * @property string $DoNotAllowBackOrders
 * @property string $WarehouseLocation
 * @property string $WarehouseAisle
 * @property string $WarehouseBin
 * @property string $WarehouseCustom
 * @property string $UPC_code
 * @property string $ProductCategory
 * @property string $ProductKeywords
 * @property string $ProductNameShort
 * @property float $ProductWeight
 * @property string $FreeShippingItem
 * @property int $MinQty
 * @property int $MaxQty
 * @property float $RecurringStartPrice
 * @property int $RecurringStartDuration
 * @property float $RecurringPrice
 * @property int $RecurringHowOften
 * @property int $RecurringDuration
 * @property string $AllowPriceEdit
 * @property float $PurchasePrice
 * @property float $ProductPrice
 * @property float $ListPrice
 * @property float $SalePrice
 * @property string $TaxableProduct
 * @property string $SelectedOptionIDs
 * @property float $GiftWrapCost
 * @property string $DownloadFile
 * @property string $Availability
 * @property string $METATAG_Title
 * @property string $METATAG_Description
 * @property float $DiscountedPrice_Level1
 * @property float $DiscountedPrice_Level2
 * @property float $DiscountedPrice_Level3
 * @property float $DiscountedPrice_Level4
 * @property float $DiscountedPrice_Level5
 * @property string $Photo_SubText
 * @property string $Photo_AltText
 * @property float $DiscountedRecurringPrice_Level1
 * @property float $DiscountedRecurringPrice_Level2
 * @property float $DiscountedRecurringPrice_Level3
 * @property float $DiscountedRecurringPrice_Level4
 * @property float $DiscountedRecurringPrice_Level5
 * @property float $Fixed_ShippingCost
 * @property float $Fixed_ShippingCost_Outside_LocalRegion
 * @property string $Uses_Product_KeyTypes
 * @property string $Price_SubText
 * @property string $Price_SubText_Short
 * @property string $ListPrice_Name
 * @property string $ProductPrice_Name
 * @property string $SalePrice_Name
 * @property string $Hide_YouSave
 * @property string $Hide_FreeAccessories
 * @property float $SetupCost
 * @property string $SetupCost_Name
 * @property float $DiscountedSetupCost_Level1
 * @property float $DiscountedSetupCost_Level2
 * @property float $DiscountedSetupCost_Level3
 * @property float $DiscountedSetupCost_Level4
 * @property float $DiscountedSetupCost_Level5
 * @property string $SetupCost_Title
 * @property int $StockReOrderQty
 * @property string $warehouses
 * @property float $Affiliate_Commissionable_Value
 * @property string $AddtoCartBtn_Replacement_Text
 * @property string $Book_ISBN
 * @property string $ProductCondition
 * @property float $EstShip_Ground
 * @property float $EstShip_2ndDay
 * @property float $EstShip_Overnight
 * @property string $CustomField1
 * @property string $CustomField2
 * @property string $CustomField3
 * @property string $CustomField4
 * @property string $CustomField5
 * @property string $ShoppingDotCom_Category
 * @property string $Yahoo_Category
 * @property string $Yahoo_Medium
 * @property string $ProductManufacturer
 * @property string $Hide_When_OutOfStock
 * @property int $StockLowQtyAlarm
 * @property string $AddToPO_Now
 * @property int $LastPO_Qty
 * @property \DateTime $LastPO_Date
 * @property string $HowToGetSalePrice
 * @property int $Inv_Verify_QtyOnHand
 * @property \DateTime $Inv_LastVerified
 * @property string $EnableMultiChildAddToCart
 * @property float $Vendor_Price
 * @property string $EnableOptions_InventoryControl
 * @property string $PhotoURL_Small
 * @property string $PhotoURL_Large
 * @property string $Private_Section_Customers_Only
 * @property string $Quickbooks_Item_Accnt
 * @property string $Quickbooks_Item_AssetAccnt
 * @property string $Quickbooks_Item_CogsAccnt
 * @property float $VAT_Percentage
 * @property string $Recurring_Pricing_Text
 * @property string $Google_Product_Type
 * @property double $Length
 * @property double $Width
 * @property double $Height
 * @property string $Ships_By_Itself
 * @property string $Package_Type
 * @property string $Oversized
 * @property string $Additional_Handling_Indicator
 * @property int $Reward_Points_Given_For_Purchase
 * @property mixed $ProductDescriptionShort
 * @property mixed $ProductDescription
 * @property mixed $ProductFeatures
 * @property mixed $TechSpecs
 * @property mixed $ExtInfo
 * @property mixed $OrderFinished_Note
 * @property mixed $METATAG_Keywords
 * @property mixed $ProductDescription_AbovePricing
 * @property mixed $CUSTOM_METATAGS_OVERRIDE
 * @property string $Updated
 * @property int $NumProductsSharingStock
 * @property string $EAN
 * @property int $PhotoSeed
 * @property string $Google_Product_Category
 * @property string $Google_Size
 * @property string $Google_Color
 * @property string $Google_Gender
 * @property string $Google_Age_Group
 * @property string $Google_Availability
 * @property string $Google_Pattern
 * @property string $Google_Material
 * @property int $EstDaysToShip
 * @property int $Google_Unique_Identifier_Exists
 * @property int $Google_Adult_Product
 * @property string $Google_SizeType
 * @property string $Google_SizeSystem
 * @property string $NonShippable
 * @property string $custom_label_0
 * @property string $custom_label_1
 * @property string $custom_label_2
 * @property string $custom_label_3
 * @property string $custom_label_4
 
 */
class Products_Joined extends Model{

    protected $table = "Products_Joined";
    protected $primaryKey = "ProductID";
    public $timestamps = false;

    // Your relationships...

}
