# Volusion ORM -aka- Worm
The most compatable ORM in our ORM wrapper packages xD. It can work with current latest laravel versions **^5.6** and has the cleanest codebase ever lol.

Please do not clone this repo. Instead use it like a regular composer package.

### Installation
Make sure you have add the following repository block in your composer.json file
```javascript
"repositories": [
    {
        "type": "composer",
        "url":  "http://packages.optimum7.com"
    }
]
```
Then you can use
```php
composer require optimum7com/worm
```
### Sample Usage
create a bootstrap.php file for your project and add below code to make eloquent work as globally enable on your workspace.
```php
<?php  
require(__DIR__ . '/vendor/autoload.php');  

use Core\Schemas\Products_Joined;  

$config = [  
 'store_url' => 'http://xxxx.xxxx.servertrust.com',  
 'api_user' => 'xxx@xxxxx.com',  
 'encrypted_key' => 'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX',
 //Optional Filename Parameter
 'filename' => 'core.asp'  
];
$core = new Core();  
$core::init($config);   

$products = Products_Joined::take(10)->get();
```
You can also use Capsule Manager later on your codes since you've setup eloquent globally.

```php
use Illuminate\Database\Capsule\Manager as Capsule;

$users = Capsule::table('Customers')->where('CustomerID', 100)->get();

//You can also use pure raw sql queries by using Statement.
$users = Capsule::statement('Select * FROM [Customers] WHERE "CustomerID" = 100');
```

### Force Request

Force request is necessary because sometimes when you want to grab large dataset from Volusion, our asp file unable to provide that instead it provides null data. Force request solves this.

Here is how you use force request :
```php
<?php  
$products = Products_Joined::take(10)->force()->get();
```